Ubuntu – How to downgrade a PPA package (Firefox ESR 60 to ESR 52)?

dpkgfirefoxpackage-managementppa

I am trying to downgrade firefox-esr from 60 to 52 from ppa:mozillateam/ppa.

PPA only has the latest version so apt-get can't downgrade the package. I downloaded the deb but installation fails due to dependency.

$ sudo gdebi  ~/Downloads/firefox-esr_52.9.0esr+build2-0ubuntu0.16.04.1_amd64.deb 
Reading package lists... Done
Building dependency tree        
Reading state information... Done
Reading state information... Done
This package is uninstallable
Breaks existing package 'hunspell-en-us' that conflict: 'iceweasel'. But the '/home/user/Downloads/firefox-esr_52.9.0esr+build2-0ubuntu0.16.04.1_amd64.deb' provides it via: 'gnome-www-browser,iceweasel,www-browser'

Best Answer

  • I suggest to remove Official Mozilla PPA with

    sudo apt-get install ppa-purge
    sudo ppa-purge ppa:mozillateam/ppa
    

    and install package from JonathonF PPA (ppa:jonathonf/firefox-esr-52) with

    sudo add-apt-repository ppa:jonathonf/firefox-esr-52
    sudo apt-get update
    sudo apt-get install firefox-esr
    

    As the result you will get Firefox ESR 52.9.0, but please note that you will not get security updates as this version is obsolete. The positive moment is that it is the last version supporting LEGACY ADDONS (for example I'm staying on this version to continue to use my addons such as SiteDelta, TableTools2, Show Parent Folder, Manage Folders, Wired Marker and others).

  • Related Question